package com.game 
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Canvas;
	import net.flashpunk.tweens.misc.ColorTween;
	
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	public class FretBlink extends Entity 
	{
		protected var colTween:ColorTween;
		protected var canvas:Canvas;
		
		public function FretBlink(color:int) 
		{
			colTween = new ColorTween(vanish);
			colTween.tween(10, 0xffffff, 0xffffff, 1.0, 0.0);
			
			canvas = new Canvas(100, 110);
			canvas.fill(new Rectangle(0, 0, 100, 110), color);
			this.visible = false;
			this.graphic = canvas;	
			
			this.addTween(colTween);
		}
		
		public function blink():void
		{
			this.visible = true;
			colTween.start();
		}
		
		override public function update():void
		{
			if (colTween.active)
			{
				canvas.alpha = colTween.alpha;
			}
			
			super.update();
		}
		
		protected function vanish():void
		{
			this.visible = false;
		}
	}

}