package com.game {
	
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	
	public class Finger extends Entity{
		[Embed(source = '../../../resources/finger.png')]
		private static const FINGER_SPT:Class;
		
		private var fingerIdleSpt:Image;
		private var fingerPressSpt:Image;
		private var pressingRect:Rectangle;
		private var idleRect:Rectangle;
		
		public var pressing:Boolean;
		
		public function Finger() {
			
			idleRect = new Rectangle(0, 0, 64, 146);
			pressingRect = new Rectangle(68, 0, 67, 146);
			
			fingerIdleSpt = new Image(FINGER_SPT, idleRect);
			fingerPressSpt = new Image(FINGER_SPT, pressingRect);
			
			this.graphic = fingerIdleSpt;
			
			pressing = false;
		}
		
		public function press():void
		{
			pressing = true;
			this.graphic = fingerPressSpt;
		}
		
		public function release():void
		{
			pressing = false;
			this.graphic = fingerIdleSpt;
		}		
	}
}
	