package com.game 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	public class Note extends Entity
	{
		[Embed(source = '../../../resources/guitarnote.png')]
		public static const NOTE_SPT:Class;	
		
		protected var image:Image;
		
		public var used:Boolean;
		
		public function Note() 
		{
			image = new Image(NOTE_SPT);
			this.graphic = image;
			used = false;
		}
		
		public function set color(val:int):void
		{
			image.color = val;
			image.tintMode = 0.2;
		}
		
		public function set scale(val:Number):void
		{
			image.scale = val;
		}
		
		public function get scale():Number
		{
			return image.scale;
		}
		
		public function explode():void
		{
			used = true;
			this.visible = false;
		}
	}

}