package com.game 
{
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	public class ScoreManager 
	{
		private static var ptrManager:ScoreManager = null;
		
		public var score:int;
		public var comboCounter:int;
		
		public var hudPtr:HUD;
		
		public function ScoreManager() 
		{
			score = 0;
			comboCounter = 1;
			hudPtr = null;
		}
		
		public static function getInstance():ScoreManager
		{
			if (ptrManager == null)
			{
				ptrManager = new ScoreManager();
			}
			
			return ptrManager;
		}
		
		public function addPoints(p:int):void
		{
			score += p * comboCounter;
		}
		
		public function addCombo():void
		{
			comboCounter++;
		}
		
		public function breakCombo():void
		{
			hudPtr.comboBreak();
			comboCounter = 1;
		}
	}

}